name: Release Notification

on:
  release:
    types: [published]

jobs:
  notify:
    name: Send Notification
    runs-on: ubuntu-latest
    steps:
      - name: Send Notification
        run: |
          BASE_URL="https://git.konsthol.eu"
          REPO_OWNER="konsthol"
          REPO_NAME="WOL-Ly"
          TAG_NAME="$(curl -s https://git.konsthol.eu/api/v1/repos/konsthol/WOL-Ly/releases/latest | jq -r '.tag_name')"
          GITEA_RELEASE_URL="$BASE_URL/$REPO_OWNER/$REPO_NAME/releases/tag/$TAG_NAME"
          curl -s -H 'Cache: no' -d "A new release has been published! Check it out: $GITEA_RELEASE_URL 😎" https://konsthol.eu/Releases
